curl --request PUT \
--url https://api.futureagi.com/simulate/scenarios/{scenario_id}/edit/ \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data @- <<EOF
{
"prompt": "You are a customer with the following characteristics: {{persona}}. Currently, {{situation}}. You will receive a call from an agent named test-agent. Please respond naturally to the agent's questions and provide any necessary information to assist with your appointment schedulings.\n"
}
EOF{
"message": "Scenario updated successfully",
"scenario": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"source": "<string>",
"scenario_type": "DATASET",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_rows": 123,
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Scenarios
Edit a scenario
Updates the properties of a specific scenario, such as its name, description, associated graph, or the simulator agent’s prompt.
PUT
/
simulate
/
scenarios
/
{scenario_id}
/
edit
/
curl --request PUT \
--url https://api.futureagi.com/simulate/scenarios/{scenario_id}/edit/ \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data @- <<EOF
{
"prompt": "You are a customer with the following characteristics: {{persona}}. Currently, {{situation}}. You will receive a call from an agent named test-agent. Please respond naturally to the agent's questions and provide any necessary information to assist with your appointment schedulings.\n"
}
EOF{
"message": "Scenario updated successfully",
"scenario": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"source": "<string>",
"scenario_type": "DATASET",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_rows": 123,
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Path Parameters
The UUID of the scenario to edit.
Body
application/json
A JSON object containing the fields to update. All fields are optional.
The new name for the scenario.
Maximum string length:
255The new description for the scenario.
The updated graph structure for the scenario. If the scenario does not have a graph, a new one will be created.
The new prompt for the simulator agent associated with the scenario. Supports templating variables like {{persona}} and {{situation}}.
Was this page helpful?
⌘I